Name:           sugar-pippy
Version:        40
Release:        1%{?dist}
Summary:        Pippy for Sugar

Group:          Sugar/Activities
License:        GPLv2+
URL:            http://wiki.laptop.org/go/Pippy
Source0:        http://download.sugarlabs.org/sources/sucrose/fructose/Pippy/Pippy-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  sugar-toolkit
BuildRequires:  gettext 

Requires:       sugar
Requires:       pygame
Requires:       pybox2d
Requires:       python-elements


%description
Teaches Python programming by providing access to Python code samples
and a fully interactive Python interpreter.

The user can type and execute simple Python expressions. For example,
it would be possible for a user to write Python statements to calculate
expressions, play sounds, or make simple text animation. 


%prep
%setup -q -n Pippy-%{version}
# Fix permissions
rm -rf library/pippy/physics

# Remove shebang
for Files in data/graphics/xolympics pippy_app.py ; do
  %{__sed} -i.orig -e 1d ${Files}
  touch -r ${Files}.orig ${Files}
  %{__rm} ${Files}.orig
done


%build
%{__python} setup.py build


%install
%{__python} setup.py install --prefix=%{buildroot}/%{_prefix}
%find_lang org.laptop.Pippy


%files -f org.laptop.Pippy.lang
%defattr(-,root,root,-)
%doc NEWS
%{sugaractivitydir}/Pippy.activity/


%changelog
* Wed Mar  9 2011 Peter Robinson <pbrobinson@gmail.com> - 40-1
- New upstream 40 release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 38-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@gmail.com> - 38-2
- Bump build

* Tue Nov  9 2010 Peter Robinson <pbrobinson@gmail.com> - 38-1
- New upstream 38 release

* Fri Jul 30 2010 Sebastian Dziallas <sebastian@when.com> - 37-1
- New upstream release

* Mon May 24 2010 Sebastian Dziallas <sebastian@when.com> - 36-1
- New upstream release
- Stop using bundled pybox2d

* Mon Dec 14 2009 Peter Robinson <pbrobinson@gmail.com> - 34-6
- Add buildreq gettext to fix build issues on F-12/rawhide - fixes # 539103

* Sat Aug 15 2009 Fabian Affolter <fabian@bernewireless.net> - 34-5
- Bump release for a new build

* Thu Aug 13 2009 Fabian Affolter <fabian@bernewireless.net> - 34-4
- Remove the pre-compiled stuff
- Re-added noarch

* Mon Aug  3 2009 Ville Skyttä <ville.skytta at iki.fi> - 34-3
- Disable -debuginfo properly.

* Sat Aug 01 2009 Fabian Affolter <fabian@bernewireless.net> - 34-2
- Removed noarch

* Sat Aug 01 2009 Fabian Affolter <fabian@bernewireless.net> - 34-1
- Added part to fix permissions and removing shebangs
- This package is not longer noarch
- Updated to new upstream version 34

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 06 2009 Fabian Affolter <fabian@bernewireless.net> - 30-1
- Updated to new upstream version 30

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Fabian Affolter <fabian@bernewireless.net> - 25-2
- Added some requirements

* Sun Jan 25 2009 Fabian Affolter <fabian@bernewireless.net> - 25-1
- Initial package for Fedora
